List publishers
curl --request GET \
--url https://api.royalti.io/publisher/publishers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/publisher/publishers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/publisher/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"Publishers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": 123,
"name": "<string>",
"ipiNameNumber": "<string>",
"ipiBaseNumber": "<string>",
"publisherType": "original",
"affiliatedPRO": "<string>",
"isActive": true,
"settings": {
"defaultCurrency": "USD",
"paymentSchedule": "quarterly",
"defaultTerritories": [
"<string>"
],
"defaultShares": {
"pr": 123,
"mr": 123,
"sr": 123
}
},
"territories": [
{}
],
"tenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"PublisherTerritories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantId": 123,
"publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"territoryCode": "US",
"inclusionExclusion": "I",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"rights": [
{
"share": 123
}
],
"formula": "<string>",
"postTermCollection": false,
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"PublisherAgreements": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantId": 123,
"publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"terms": {
"territories": [
"WW"
],
"excludedTerritories": [
"<string>"
],
"rightTypes": [],
"shares": {
"pr": 123,
"mr": 123,
"sr": 123
},
"minimumGuarantee": {
"amount": 123
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"userData": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Publishers
List publishers
GET /publisher/publishers
GET
/
publisher
/
publishers
List publishers
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
GET /publisher/publishers Paginated list of the tenant’s publishers, including theirPublisherTerritories and linked userData (TenantUser). Omit
page/size to get the unpaginated { count, Publishers } shape.
Authorization:
- Required role:
useror higher
Code Examples
const response = await fetch('https://api.royalti.io/publisher/publishers', {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/publisher/publishers',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/publisher/publishers \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Query Parameters
Sort column. Default updatedAt.
Available options:
ASC, DESC ⌘I